- Overview
- Reference Guide
- Setup & Architecture
- Release Notes
- Workflow
- API Reference
- Integration Guide
- Discovery Agent Setup Guide
Monitoring
The Monitoring endpoints report the health of the CertSecure Manager backend and return CPU, memory, and disk metrics for the monitored hosts.
Endpoints
| Method | Endpoint | Description |
|---|---|---|
| GET | /monitoring/config | Get monitoring config. |
| POST | /monitoring/config | Update monitoring config. |
| DELETE | /monitoring/config/{name} | Delete monitored host. |
| GET | /monitoring/fleet/metrics | Fleet metrics. |
| GET | /monitoring/fleet/metrics/{host_name} | Fleet metrics for host. |
| GET | /monitoring/health | Monitoring health. |
GET /monitoring/config
Returns the hosts monitored by CertSecure Manager with their latest metrics.
Example Request
curl -X GET "https://<certsecure-backend-url>/monitoring/config" \
-H "Authorization: Bearer <token>"
Responses
| Status Code | Description |
|---|---|
| 200 | The configuration is returned. |
POST /monitoring/config
Updates the monitoring configuration.
Request Body (application/json)
The request body is a JSON object that contains the settings to save.
Example Request
curl -X POST "https://<certsecure-backend-url>/monitoring/config" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{}'
Responses
| Status Code | Description |
|---|---|
| 200 | The settings were saved. |
DELETE /monitoring/config/{name}
Removes a monitored host.
Request Parameters
| Name | Located In | Type | Required | Description |
|---|---|---|---|---|
name |
Path | string | Yes | Name of the resource. |
Example Request
curl -X DELETE "https://<certsecure-backend-url>/monitoring/config/<name>" \
-H "Authorization: Bearer <token>"
Responses
| Status Code | Description |
|---|---|
| 200 | The resource was deleted. |
GET /monitoring/fleet/metrics
Returns the current CPU, memory, and disk usage of all monitored hosts.
Example Request
curl -X GET "https://<certsecure-backend-url>/monitoring/fleet/metrics" \
-H "Authorization: Bearer <token>"
Example Response
{
"collector_host": "certsecure-backend",
"collector_ip": "10.0.0.10",
"count": 1,
"timestamp": "2026-09-28T19:57:15.642579",
"results": [
{
"name": "CertSecure Backend",
"address": "10.0.0.10",
"ok": true,
"port": null,
"data": {
"host": "certsecure-backend",
"ip": "10.0.0.10",
"cpu_percent": 46,
"ram_percent": 26.9,
"disk_percent": 48.7,
"timestamp": "2026-09-28T19:57:13.640076"
}
}
]
}
Responses
| Status Code | Description |
|---|---|
| 200 | Metrics. |
GET /monitoring/fleet/metrics/{host_name}
Returns the current CPU, memory, and disk usage of one monitored host.
Request Parameters
| Name | Located In | Type | Required | Description |
|---|---|---|---|---|
host_name |
Path | string | Yes | Name of the monitored host. |
Example Request
curl -X GET "https://<certsecure-backend-url>/monitoring/fleet/metrics/<host_name>" \
-H "Authorization: Bearer <token>"
Responses
| Status Code | Description |
|---|---|
| 200 | Metrics. |
GET /monitoring/health
Returns the health status of the monitoring service.
Example Request
curl -X GET "https://<certsecure-backend-url>/monitoring/health" \
-H "Authorization: Bearer <token>"
Example Response
{
"status": "healthy",
"timestamp": "2026-09-28T19:57:12.315180"
}
Responses
| Status Code | Description |
|---|---|
| 200 | Health. |